Biometric KYC

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

šŸ“˜

Header Request

Accept : application/json
Content-Type: application/json
secret : Unique secret key (Provided by Pay2New)
outletId: Unique OutletID (Provided by Pay2New)


Request Parameters

FieldsTypeMandatory (M) , Optional (O)Description
referenceKeyStringMReference key received from KYC status API
latitudeStringMCurrent location latitude
longitudeStringMCurrent location longitude
request_idStringMUnique Reference number
biometricDataArrayMBiometric data details
biometricData.dcStringMReturned by RD Service when using biometric authentication. Registered Device code.
biometricData.ciStringMReturned by RD Service when using biometric authentication. Public key certificate identifier of UIDAI using which skey was encrypted.
biometricData.hmacStringMReturned by RD Service when using biometric authentication. SHA -256 Hash of PID XML and then encrypted and base 64 encoded.
biometricData.dpIdStringMReturned by RD Service when using biometric authentication. Device provider Id.
biometricData.mcStringMReturned by RD Service when using biometric authentication. encrypted registered device public key certificate.
biometricData.pidDataTypeStringMReturned by RD Service when using biometric authentication. Protobuff format or XML format.
biometricData.sessionKeyStringMReturned by RD Service when using biometric authentication. AES session key is generated dynamically for every txn.
biometricData.miStringMReturned by RD Service when using biometric authentication. RD model Id.
biometricData.rdsIdStringMReturned by RD Service when using biometric authentication. RD Service Id.
biometricData.errCodeStringO0(Default)- Request Success
biometricData.errInfoStringOInformation about the error
biometricData.fCountStringOTotal number of FIR records which was part of input.
biometricData.fTypeStringMWhen connecting the Device to RD service send ftype 2 in the request.
biometricData.iCountStringOTotal number of IIR records which was part of input.
biometricData.iTypeStringOISO format (0 for IIR), 0 (IIR) is the default.
biometricData.pCountStringOA number of face photo records are to be captured (0 to 1).
biometricData.pTypeStringMFace format
biometricData.srnoStringMSerial Number of the biometric device.
biometricData.pidDataStringMReturned by RD Service when using biometric authentication.
biometricData.qScoreStringMIf a quality check is done, send a normalized score that is between 0 and 100. Device providers may allow configuration within RD service to use specific quality check algorithms to be enabled.
biometricData.nmPointsStringMNumber of minutiae points when FMR is captured. Applications may use this for accepting or retrying the capture.
biometricData.rdsVerStringMReturned by RD Service when using biometric authentication. RD Service version.
biometricData.aadhaar_numberStringMCustomer Aadhaar Number

Sample Reques

curl --location 'https://pay2new.in/apis/aeps/v1/biometricKycStatus' \
--header 'Content-Type: application/json' \
--header 'secret: YOUR_SECRET' \
--header 'outletId: CUSTOMER_OUTLET_ID' \
--data '{
    "referenceKey": "qgvE86a9iLnUDjF+QICtLQYdUQP3rTipRtxaE9T6IcpEeO6ifmZV+7QA28rp9gFp",
    "latitude": "28.70406",
    "longitude": "77.10249",
    "request_id":"1762931326-ABC-123",
    "biometricData": {  
        "encryptedAadhaar" : "",
        "dc" : "",
        "ci" : "",
        "hmac" : "",
        "dpId" : "",
        "mc" : "",
        "pidDataType":"",
        "rdsId" : "",
        "sessionKey" : "",
        "mi" : "",
        "errCode" :"",
        "errInfo" :"",
        "fCount" :"",
        "fType" :"",
        "iCount" :"",
        "iType" :"",
        "pCount" :"",
        "pType" :"",
        "srno":"",
        "sysid":"",
        "ts":"",
        "pidData":"",
        "qScore":"",
        "nmPoints":"",
        "rdsVer" : ""
    }
}'

Response Parameters

FieldTypeDescription
statusIntegerPay2New Transaction Status
messageStringMessage from API
dataArrayKYC infromation data
order_idArrayPay2New Order Id

Sample Response

//Success response
{
  "status": 1,
  "message": "KYC completed successfully",
  "data": [],
  "order_id": "BIOKYC123456"
}
//Failed validation response

{
  "status": 2,
  "message": "Invalid Parameters",
  "errors": {
    "referenceKey": "The referenceKey field is required.",
    "biometricData.aadhaar_number": "The biometricData.aadhaar_number field must be exactly 12 characters in length."
  }
}

🚧

Please Note:

request_id is returned as order_id.

If provider returns action = NO-ACTION-REQUIRED and status = APPROVED, system marks AEPS biometric KYC as completed

Body Params
json
Defaults to { "referenceKey": "qgvE86a9iLnUDjF+QICtLQYdUQP3rTipRtxaE9T6IcpEeO6ifmZV+7QA28rp9gFp", "latitude": "28.70406", "longitude": "77.10249", "request_id":"1762931326-ABC-123", "biometricData": { "encryptedAadhaar" : "", "dc" : "", "ci" : "", "hmac" : "", "dpId" : "", "mc" : "", "pidDataType":"", "rdsId" : "", "sessionKey" : "", "mi" : "", "errCode" :"", "errInfo" :"", "fCount" :"", "fType" :"", "iCount" :"", "iType" :"", "pCount" :"", "pType" :"", "srno":"", "sysid":"", "ts":"", "pidData":"", "qScore":"", "nmPoints":"", "rdsVer" : "" } }
Headers
string

(Provided by Pay2New)

string

(Provided by Pay2New)

Responses

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json